package com.xhpc.common.data.redis;

import com.xhpc.common.data.up.BaseData;

//充电桩与 BMS 充电过程 BMS 需求、充电机输出
public class CacheBmsReqChargerOutputData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private Double bmsVoltageRequest; //BMS 电压需求
    private Double bmsCurrentRequest; //BMS 电流需求
    private Integer bmsChargingMod; //BMS 充电模式
    private Double bmsChargingVolt; //BMS 充电电压测量值
    private Double bmsChargingCurrent; //BMS 充电电流测量值
    private Double monoBatteryVolt; //BMS 最高单体动力蓄电池电压
    private Integer soc; //BMS 当前荷电状态 SOC（ %）
    private Integer bmsEstRemainingTime; //BMS 估算剩余充电时间
    private Double pileVoltageOutput; //电桩电压输出值
    private Double pileCurrentOutput; //电桩电流输出值
    private Integer chargingTimeSummary; //累计充电时间
    private Integer monoBatteryVoltGroupId; // BMS 最高单体动力蓄电池电压所在组号ID

    public String getOrderNo() {
        return orderNo;
    }

    public Double getMonoBatteryVolt() {
        return monoBatteryVolt;
    }

    public void setMonoBatteryVolt(Double monoBatteryVolt) {
        this.monoBatteryVolt = monoBatteryVolt;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPileNo() {
        return pileNo;
    }

    public void setPileNo(String pileNo) {
        this.pileNo = pileNo;
    }

    public String getGunId() {
        return gunId;
    }

    public void setGunId(String gunId) {
        this.gunId = gunId;
    }

    public Double getBmsVoltageRequest() {
        return bmsVoltageRequest;
    }

    public void setBmsVoltageRequest(Double bmsVoltageRequest) {
        this.bmsVoltageRequest = bmsVoltageRequest;
    }

    public Double getBmsCurrentRequest() {
        return bmsCurrentRequest;
    }

    public void setBmsCurrentRequest(Double bmsCurrentRequest) {
        this.bmsCurrentRequest = bmsCurrentRequest;
    }

    public Integer getBmsChargingMod() {
        return bmsChargingMod;
    }

    public void setBmsChargingMod(Integer bmsChargingMod) {
        this.bmsChargingMod = bmsChargingMod;
    }

    public Double getBmsChargingVolt() {
        return bmsChargingVolt;
    }

    public void setBmsChargingVolt(Double bmsChargingVolt) {
        this.bmsChargingVolt = bmsChargingVolt;
    }

    public Double getBmsChargingCurrent() {
        return bmsChargingCurrent;
    }

    public void setBmsChargingCurrent(Double bmsChargingCurrent) {
        this.bmsChargingCurrent = bmsChargingCurrent;
    }

    public Integer getMonoBatteryVoltGroupId() {
        return monoBatteryVoltGroupId;
    }

    public void setMonoBatteryVoltGroupId(Integer monoBatteryVoltGroupId) {
        this.monoBatteryVoltGroupId = monoBatteryVoltGroupId;
    }

    public Integer getSoc() {
        return soc;
    }

    public void setSoc(Integer soc) {
        this.soc = soc;
    }

    public Integer getBmsEstRemainingTime() {
        return bmsEstRemainingTime;
    }

    public void setBmsEstRemainingTime(Integer bmsEstRemainingTime) {
        this.bmsEstRemainingTime = bmsEstRemainingTime;
    }

    public Double getPileVoltageOutput() {
        return pileVoltageOutput;
    }

    public void setPileVoltageOutput(Double pileVoltageOutput) {
        this.pileVoltageOutput = pileVoltageOutput;
    }

    public Double getPileCurrentOutput() {
        return pileCurrentOutput;
    }

    public void setPileCurrentOutput(Double pileCurrentOutput) {
        this.pileCurrentOutput = pileCurrentOutput;
    }

    public Integer getChargingTimeSummary() {
        return chargingTimeSummary;
    }

    public void setChargingTimeSummary(Integer chargingTimeSummary) {
        this.chargingTimeSummary = chargingTimeSummary;
    }
}
